Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 461593 - Incorrect left page menu in dependencies.pxt
Summary: Incorrect left page menu in dependencies.pxt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shannon Hughes
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-09-09 10:21 UTC by Milan Zázrivec
Modified: 2009-01-22 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:29:57 UTC


Attachments (Terms of Use)
network/software/packages/dependencies.pxt on spacewalk 0.2 (deleted)
2008-09-09 10:22 UTC, Milan Zázrivec
no flags Details
network/software/packages/dependencies.pxt on sat 5.2.0 (deleted)
2008-09-09 10:23 UTC, Milan Zázrivec
no flags Details
network/systems/ssm/index.pxt (deleted)
2008-09-09 10:25 UTC, Milan Zázrivec
no flags Details

Description Milan Zázrivec 2008-09-09 10:21:51 UTC
Description of problem:
When navigating to Channel -> Arbitrary channel in list -> Package ->
Arbitrary package in list -> Dependecies | Change Log | File List
Spacewalk renders incorrect nav. menu on the left side.

Not sure whether this is a perl or java problem, nonetheless the navigation menu
being (incorrectly) rendered is the menu from last visited .pxt page.

Version-Release number of selected component (if applicable):
spacewalk-html-0.2.3-1.el5.sw
spacewalk-java-0.2.6-1.el5.sw

Comment 1 Milan Zázrivec 2008-09-09 10:22:58 UTC
Created attachment 316169 [details]
network/software/packages/dependencies.pxt on spacewalk 0.2

Comment 2 Milan Zázrivec 2008-09-09 10:23:28 UTC
Created attachment 316170 [details]
network/software/packages/dependencies.pxt on sat 5.2.0

Comment 3 Milan Zázrivec 2008-09-09 10:25:02 UTC
Created attachment 316171 [details]
network/systems/ssm/index.pxt

I opened SSM page, then I navigated through couple of java pages to the
package dependecies page. The left nav. menu I got was the menu from SSM.

Comment 4 Shannon Hughes 2008-12-17 16:16:02 UTC
fixed this in space04

Comment 5 Shannon Hughes 2009-01-14 21:38:26 UTC
verified on fjs-0-02


Note You need to log in before you can comment on or make changes to this bug.